Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.droolsjbpm.services.api
Interface DomainManagerService

All Known Implementing Classes:
  DomainManagerServiceImpl

    public interface DomainManagerService

Method Summary
`List<Domain>` | `getAllDomains()`
`List<Domain>` | `getAllDomainsByOrganization(long organizationId)`
`List<Organization>` | `getAllOrganizations()`
`Domain` | `getDomainById(long domainId)`
`Domain` | `getDomainByName(String domainName)`
`Map<String,org.kie.internal.runtime.manager.RuntimeManager>` | `getDomainsMap()`
`Organization` | `getOrganizationById(long organizationId)`
`Collection<ProcessDesc>` | `getProcessesByDomainName(String domainName)`
`org.kie.internal.runtime.manager.RuntimeManager` | `getRuntimesByDomain(String domainName)`
`void` | `initDomain(long domainId)`
`void` | `initOrganization(long organizationId)`
`void` | `removeDomain(long domainId)`
`void` | `removeOrganization(long organizationId)`
`long` | `storeDomain(Domain domain)`
`long` | `storeOrganization(Organization organization)`

Method Detail

### getAllOrganizations

    List<Organization> getAllOrganizations()

### storeOrganization

    long storeOrganization(Organization organization)

### removeOrganization

    void removeOrganization(long organizationId)

### getOrganizationById

    Organization getOrganizationById(long organizationId)

### getDomainById

    Domain getDomainById(long domainId)

### getAllDomains

    List<Domain> getAllDomains()

### getAllDomainsByOrganization

    List<Domain> getAllDomainsByOrganization(long organizationId)

### getDomainByName

    Domain getDomainByName(String domainName)

### storeDomain

    long storeDomain(Domain domain)

### removeDomain

    void removeDomain(long domainId)

### initOrganization

    void initOrganization(long organizationId)

### initDomain

    void initDomain(long domainId)

### getDomainsMap

    Map<String,org.kie.internal.runtime.manager.RuntimeManager> getDomainsMap()

### getRuntimesByDomain

    org.kie.internal.runtime.manager.RuntimeManager getRuntimesByDomain(String domainName)

### getProcessesByDomainName

    Collection<ProcessDesc> getProcessesByDomainName(String domainName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.